


fn main() -> anyhow::Result<()> {
    let data = std::fs::read_to_string("test.mcl").unwrap();

    let tokens = mclangc::tokeniser::tokenise(&data, "test.mcl")?;
    let prog = mclangc::parser::parse_program(tokens)?;
    mclangc::validator::validate_code(&prog);
    Ok(())
}
