use super::{expr::Expr, Ident, Number};

#[derive(Debug, Clone)]
pub enum Type {
    Ref { 
        inner: Box<Type>,
        mutable: bool,
    },
    Array {
        inner: Box<Type>,
    },
    ArrayRepeat {
        inner: Box<Type>,
        count: Expr,
    },
    Owned(Ident),
}
